KMultipleDrag class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KMultipleDrag Class Reference

This class makes it easy for applications to provide a drag object (for drag-n-drop or for clipboard) that has several representations of the same data, under different formats. More...

`#include <kmultipledrag.h>`

Inheritance diagram for KMultipleDrag:

[legend]
Collaboration diagram for KMultipleDrag:

[legend]
List of all members.

## Public Member Functions
| KMultipleDrag (QWidget *dragSource=0L, const char *name=0L)
| Create a new KMultipleDrag object.
void | addDragObject (QDragObject *dragObject)
| Call this to add each underlying drag object to the multiple drag object.
## Protected Member Functions
virtual QByteArray | encodedData (const char *mime) const
| Returns the data of a drag object with that supports the given mime type.
virtual const char * | format (int i) const
| Returns the `i'th` supported format, or 0.
virtual void | virtual_hook (int id, void *data)
## Protected Attributes
QPtrList< QDragObject > | m_dragObjects
QValueList< int > | m_numberFormats

## Detailed Description

This class makes it easy for applications to provide a drag object (for drag-n-drop or for clipboard) that has several representations of the same data, under different formats.

Instead of creating a specific class for each case (as would otherwise be necessary), you can simply create independent drag objects (e.g. a QImageDrag object and a KURLDrag object), and bundle them together using KMultipleDrag.

Sample code for this:

     KMultipleDrag *drag = new KMultipleDrag( parentWidget );
     drag->addDragObject( new QImageDrag( someQImage, 0L ) );
     drag->addDragObject( KURLDrag::newDrag( someKURL, 0L ) );
     drag->drag();

Note that the drag objects added to the multiple drag become owned by it. For that reason their parent should be 0L.

Author:
  David Faure <david@mandrakesoft.com>

Definition at line 53 of file kmultipledrag.h.

## Constructor & Destructor Documentation

KMultipleDrag::KMultipleDrag | ( | QWidget * | dragSource = 0L,
|  | const char * | name = 0L
| ) |

  | Create a new KMultipleDrag object. Parameters:
  dragSource | the parent object which is the source of the data, 0 for a parent-less object
  name | the name of the object, can be 0
Definition at line 25 of file kmultipledrag.cpp. References KStdAction::name(), and QPtrList< QDragObject >::setAutoDelete().

## Member Function Documentation

void KMultipleDrag::addDragObject | ( | QDragObject * | dragObject | ) |

  | Call this to add each underlying drag object to the multiple drag object. The drag object should not have a parent because the multiple drag object will own it. Parameters:
  dragObject | the drag object to add. Should have no parent object.
Definition at line 31 of file kmultipledrag.cpp. References QValueList< int >::append(), and QPtrList< QDragObject >::append().

QByteArray KMultipleDrag::encodedData | ( | const char * | mime | ) | const`[protected, virtual]`

  | Returns the data of a drag object with that supports the given mime type. Parameters:
  mime | the mime type to search
Returns: the data, or a null byte array if not found Definition at line 42 of file kmultipledrag.cpp. References QPtrListIterator::current().

const char * KMultipleDrag::format | ( | int | i | ) | const`[protected, virtual]`

  | Returns the `i'th` supported format, or 0. Parameters:
  i | the number of the format to check
Returns: the format with the number `i`, or 0 otherwise Definition at line 58 of file kmultipledrag.cpp. References QValueList< int >::begin(), QPtrListIterator::current(), and QValueList< int >::end().

The documentation for this class was generated from the following files:

- kmultipledrag.h
- kmultipledrag.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:50:04 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001